## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCStructuredUDT

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.StructuredUserDefinedTypeImpl
                          org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCStructuredUDT

All Implemented Interfaces:
  ICatalogObject, DataType, StructuredUserDefinedType, UserDefinedType, SQLObject

    public class JDBCStructuredUDT

extends StructuredUserDefinedTypeImpl
implements ICatalogObject

Constructor Summary
`JDBCStructuredUDT()`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`EList` `getAttributes()`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`StructuredUserDefinedType` `getSuper()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.StructuredUserDefinedTypeImpl
`basicGetSuper, basicSetSuper, eGet, eInverseAdd, eInverseRemove, eSet, eUnset, getMethods, getSub, isFinal, isInstantiable, setFinal, setInstantiable, setSuper, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
`basicGetSchema, basicSetOrdering, basicSetSchema, getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCStructuredUDT

    public JDBCStructuredUDT()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getAttributes

    public EList getAttributes()

  Description copied from class: `StructuredUserDefinedTypeImpl`

  Specified by:
    `getAttributes` in interface `StructuredUserDefinedType`
  Overrides:
    `getAttributes` in class `StructuredUserDefinedTypeImpl`
  Returns:
    the value of the 'Attributes' containment reference list.
  See Also:
    `SQLDataTypesPackage.getStructuredUserDefinedType_Attributes()`

### getSuper

    public StructuredUserDefinedType getSuper()

  Description copied from class: `StructuredUserDefinedTypeImpl`

  Specified by:
    `getSuper` in interface `StructuredUserDefinedType`
  Overrides:
    `getSuper` in class `StructuredUserDefinedTypeImpl`
  Returns:
    the value of the 'Super' reference.
  See Also:
    `StructuredUserDefinedType.setSuper(StructuredUserDefinedType)`, `SQLDataTypesPackage.getStructuredUserDefinedType_Super()`, `StructuredUserDefinedType.getSub()`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Description copied from class: `StructuredUserDefinedTypeImpl`

  Overrides:
    `eIsSet` in class `StructuredUserDefinedTypeImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.